Page MenuHomePhabricator

Fix the analytics/wikistats2 repo to work on node10
Closed, ResolvedPublic1 Estimated Story Points

Description

Node6 has been EOL since April 2019 and shouldn't be used anywhere. In the parent task, I'm trying to remove the last vestiges of node6 in CI, but this repo unfortunately is currently tested with node6 and doesn't pass in node10.

Please fix your repo so that I can upgrade CI for you (or if it's no longer used, please file a Projects-Cleanup archive task).

Thanks!

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedAnomie
ResolvedBawolff
ResolvedBawolff
ResolvedLegoktm
ResolvedLucas_Werkmeister_WMDE
ResolvedBawolff
Resolvedsbassett
Resolvedsbassett
ResolvedJdforrester-WMF
Resolvedsbassett
Resolvedsbassett
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
Resolvedhashar
Resolvedhashar
ResolvedJdforrester-WMF
Resolvedhashar
DeclinedMoritzMuehlenhoff
Invalidthcipriani
Resolvedmmodell
Resolvedhashar
ResolvedJoe
ResolvedJMeybohm
ResolvedJMeybohm
DuplicateDzahn
DeclinedDzahn
StalledJdforrester-WMF
ResolvedMilimetric

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 4:43 PM
Milimetric triaged this task as High priority.
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task from Incoming to Ops Week on the Analytics board.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.
Milimetric moved this task from Ops Week to Wikistats on the Analytics board.
Milimetric moved this task from In Progress to Done on the Analytics-Kanban board.Jul 22 2019, 3:06 PM
Nuria closed this task as Resolved.Jul 22 2019, 8:46 PM
Nuria set the point value for this task to 1.
Jdforrester-WMF reopened this task as Open.Jul 24 2019, 5:34 PM

Change 525344 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Update Semantic to work with Node 10

https://gerrit.wikimedia.org/r/525344

Change 525344 merged by jenkins-bot:
[analytics/wikistats2@master] Update Semantic and change to Headless for node 10

https://gerrit.wikimedia.org/r/525344

Jdforrester-WMF closed this task as Resolved.Jul 25 2019, 4:31 PM

Thank you!